Skip to main content
GET
List audit events

Authorizations

Authorization
string
header
required

An Igris API key. It acts with the current role and permission overrides of the member who created it.

Query Parameters

limit
integer
default:50

Page size. Default 50, max 500.

Required range: 1 <= x <= 500
offset
integer
default:0

Number of rows to skip.

Required range: x >= 0
cursor
string

The meta.nextCursor value from the previous page.

source
enum<string>

Event source. all or omitted means every source.

Available options:
all,
igris,
portkey,
helicone,
cloudflare,
cloudwatch,
datadog,
raw
type
string

Event type. Accepts a comma-separated list, for example llm_call,mcp_tool_call.

policyAction
string

allow, deny, alert or redact. Accepts a comma-separated list.

connection
string

Connection slug.

userId
string

Exact match.

traceId
string

Exact match.

sessionId
string

Exact match.

from
string<date-time>

ISO timestamp, inclusive lower bound.

to
string<date-time>

ISO timestamp, exclusive upper bound.

q
string

Substring match on ID, model, tool, connection, or user.

llmProvider
string
llmModel
string

Accepts * wildcards, for example gpt-4o*.

llmEndpoint
string
deniedBy
string
minCostCents
number

Minimum cost in cents.

sort
enum<string>
default:ts
Available options:
ts,
type,
action,
detail
dir
enum<string>
default:desc
Available options:
asc,
desc

Response

A page of events.

data
object[]
meta
object